﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="JQueryData.aspx.cs" Inherits="ODemo.JQueryData" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">

    <script src="Scripts/jquery-1.4.1.js" type="text/javascript"></script>

    <script type="text/javascript">

        // Loads once the document has completed loading
        $(document).ready(function () {

            $('#btnFind').click(function (evt) {
                evt.preventDefault();
                loadData();
            });

        });


        function loadData() {
            var keywords = $('#txtKey').val();

            // Build OData query
            // Call to netflix
            var query = "http://odata.netflix.com/Catalog" // netflix base url
            + "/Titles" // top-level resource
            + "?$filter=substringof('" + escape(keywords) + "',Name)"  // filter by movie name
            + "&$callback=onSuccess" // jsonp request
            + "&$format=json"; // json request


            // Call to MSTechEd.com using sessions.svc - Unterminated string somewhere?
            var queryx = "http://teched.cloudapp.net/Sessions"
                + "?$filter=substringof('" + escape(keywords) + "',Abstract)"
                + "&$callback=onSuccess"
                + "&$format=json";

            // Make JSONP call to Netflix
            $.ajax({
                dataType: "jsonp",
                url: query,
                jsonpCallback: "onSuccess",
                success: onSuccess
            });

        }

        function onSuccess(rc) {
            var table = '<table><thead><tr><th>ID</th><th>Title</th><th>Link</th></thead><tbody>';

            var results = rc.d.results;

            for (var i = 0; i < results.length; i++) {
                var row = '<tr valign="top">';

                row += '<td><image src="' + results[i].BoxArt.MediumUrl + '"></td>';
                row += '<td><a target="_blank" href=' + results[i].Url + '>' + results[i].Name + '</a></td>';
                row += '<td>' + results[i].ShortSynopsis + '</td>';

//                row += '<td>' + results[i].Id + '<br/>';
//                row += '<td><a href="' + results[i].__metadata.uri + '">' + results[i].__metadata.uri + '</a></td>';
//                row += '<td><a target="_blank"  title="' + results[i].Abstract + '" href="http://msteched.com/2010/NorthAmerica/' + results[i].Id + '">' + results[i].Title + '</a></td>';

                row += '</tr>';

                table += row;
            }

            table += '</tbody></table>';

            $('#myResults').html(table);

        }



    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h1>
        OData Source</h1>

    <h2>
        Find by Keyword</h2>
    Keyword:<input id="txtKey" type="text" />
    <a id="btnFind" href="#">Find</a>
    <div id="myResults">
    </div>
</asp:Content>
