﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Data.Services.Client;

namespace SilverData
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            svcNetFlix.NetflixCatalog dc = new svcNetFlix.NetflixCatalog(new Uri("http://odata.netflix.com/catalog"));

            var myTitles = from t in dc.Titles
                           where t.Name.Contains(textBlock1.Text)
                           orderby t.ReleaseYear, t.Name
                           select t;

            var myCollection = new DataServiceCollection<svcNetFlix.Title>();

            
            listBox1.ItemsSource = myCollection;

            myCollection.LoadAsync(myTitles);

        }
    }
}
